## Class Auth_OpenID_Message

Description

In the implementation of this object, null represents the global namespace as well as a namespace with no key.

Located in /Auth/OpenID/Message.php (line 415)

Method Summary
Auth_OpenID_Message Auth_OpenID_Message ([ $openid_namespace = null])
void copy ()
void delArg ( $namespace, $key)
void fromKVForm ( $kvform_string)
void fromOpenIDArgs ( $openid_args)
void fromPostArgs ( $args)
void getAliasedArg ( $aliased_key, [ $default = null])
void getArg ( $namespace, $key, [ $default = null])
void getArgs ( $namespace)
void getKey ( $namespace, $ns_key)
void getOpenIDNamespace ()
void hasKey ( $namespace, $ns_key)
void isOpenID1 ()
void isOpenID2 ()
void setArg ( $namespace, $key, $value)
void setOpenIDNamespace ( $openid_ns_uri, $implicit)
void toArgs ()
void toFormMarkup ( $action_url, [ $form_tag_attrs = null], [ $submit_text = "Continue"])
void toKVForm ()
void toPostArgs ()
void toURL ( $base_url)
void toURLEncoded ()
void updateArgs ( $namespace, $updates)
Methods
Constructor Auth_OpenID_Message (line 417)
Auth_OpenID_Message Auth_OpenID_Message ([ $openid_namespace = null])

- $openid_namespace

copy (line 604)
void copy ()
delArg (line 877)
void delArg ( $namespace, $key)

- $namespace
- $key

fromKVForm (line 597)
void fromKVForm ( $kvform_string)

- $kvform_string

fromOpenIDArgs (line 480)
void fromOpenIDArgs ( $openid_args)

- $openid_args

fromPostArgs (line 445)
void fromPostArgs ( $args)

- $args

getAliasedArg (line 888)
void getAliasedArg ( $aliased_key, [ $default = null])

- $aliased_key
- $default

getArg (line 805)
void getArg ( $namespace, $key, [ $default = null])

- $namespace
- $key
- $default

getArgs (line 824)
void getArgs ( $namespace)

- $namespace

getKey (line 778)
void getKey ( $namespace, $ns_key)

- $namespace
- $ns_key

getOpenIDNamespace (line 592)
void getOpenIDNamespace ()
hasKey (line 767)
void hasKey ( $namespace, $ns_key)

- $namespace
- $ns_key

isOpenID1 (line 435)
void isOpenID1 ()
isOpenID2 (line 440)
void isOpenID2 ()
setArg (line 861)
void setArg ( $namespace, $key, $value)

- $namespace
- $key
- $value

setOpenIDNamespace (line 573)
void setOpenIDNamespace ( $openid_ns_uri, $implicit)

- $openid_ns_uri
- $implicit

toArgs (line 640)
void toArgs ()
toFormMarkup (line 660)
void toFormMarkup ( $action_url, [ $form_tag_attrs = null], [ $submit_text = "Continue"])

- $action_url
- $form_tag_attrs
- $submit_text

toKVForm (line 705)
void toKVForm ()
toPostArgs (line 609)
void toPostArgs ()
toURL (line 698)
void toURL ( $base_url)

- $base_url

toURLEncoded (line 713)
void toURLEncoded ()
updateArgs (line 845)
void updateArgs ( $namespace, $updates)

- $namespace
- $updates

Documentation generated on Tue, 21 Apr 2009 11:31:31 -0700 by phpDocumentor 1.3.2